ReferencesOpenapiOrigination
Generate quote documents
Generate either an indicative or final quote document for the specified quote.
Authorization
ApiKeyAuth x-api-key<token>
API key for authentication
In: header
Path Parameters
orgId*string
workspaceId*string
dealId*string
quoteId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string/quote/string/generate-docs" \ -H "Content-Type: application/json" \ -d '{ "document_type": "indicative_quote" }'{
"message": "string",
"presignedUrl": "string",
"documentId": "string",
"downloadUrl": "string",
"fileName": "string",
"document_type": "indicative_quote"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}
